Subject: Re: question regarding (AF_INET6, SOCK_RAW, IPPROTO_RAW) sockets

From: Rémi Denis-Courmont <[email-masked]>
Date: Wed, 12 Mar 2008 20:06:48 +0200

Le Wednesday 12 March 2008 18:34:29 Octavian Purdila, vous avez écrit :
> Hi,
>
> I've noticed that when using IPv6 raw sockets with IPPROTO_RAW protocol and
> IPV6_PKTINFO set, we are not allow to specify a source address that it is
> not configured in the system.
>
> Disabling ipv6_chk_addr in datagram_send_ctl for IPv6 raw sockets seems to
> fix our problem. Is this approach the right one?

I am a bit confused here. Why would you use IPV6_PKTINFO with a network-layer 
raw socket? You have to write the IPv6 header anyway, so what useful 
additional infos would you the ancillary data contain?

-- 
Rémi Denis-Courmont